После обновления WP qTranslate отключился

После обновления WP qTranslate отключился

Плагин qTranslate помогает сделать мультиязычный сайт. Таким образом вы можете сделать на сайте 2-3 языка, например русский и украинский, или русский и английский.

После обновления WP до версии 3.3 плагин отключился и выдал такие перлы:

This version of qTranslate has not been tested with your WordPress version. To prevent WordPress from malfunctioning, the qTranslate Editor has been disabled. You can reenable it by clicking here (may cause data loss!). To remove this message, please update qTranslate to the corresponding version.

Суть в том, что последняя версия плагина поддерживает только WP 3.2.1 и ниже. Для новой версии пока поддержки нет. Но моим клиентам ведь мы не можем сказать, что их сайт будет сидеть на динозавре 3.2.1. Это же не модно, не солидно и не практично.

Решение я нашел на форуме поддержки плагина.

Рецепт 1

Нужно отредактировать файл qtranslate.php, который находится в паке плагина.
Найдите такие строчки:

и вместо 3.2.1 пропишите 3.3. Таким образом мы как-бы включили поддержку новой версии WP.

У меня это не сработало, а потому:

Рецепт 2 от товарища zaharc

Скачайте этот патч и распакуйте в папку с плагином (заменить файлы). Этот рецепт сработал.

Но в любом случае следите за развитием плагина qTranslate и выходом официальной версии.

Рейтинг 0/5 (0 голосов)
 

Другие интересные публикации

3
Добавить комментарий

avatar
3 Цепочка комментария
0 Ответы по цепочке
0 Последователи
 
Популярнейший комментарий
Цепочка актуального комментария
3 Авторы комментариев
Максимсвадебный цветоксдам квартиру м академическая Авторы недавних комментариев
сдам квартиру м академическая
Гость
сдам квартиру м академическая

Отличный пост — слов нет. Спасибо.

свадебный цветок
Гость
свадебный цветок

Давно искала эту информацию, спасибо.

Максим
Гость
Максим

Мне помогло решение с изменениями в файле qtranslate.php, спасибо